
package com.amadeus.travelManagement.amadeus.xml._2010._06.travel_orderreshoprq_v1;

import javax.xml.bind.annotation.XmlEnum;
import javax.xml.bind.annotation.XmlEnumValue;
import javax.xml.bind.annotation.XmlType;


/**
 * &lt;p&gt;Java class for PenaltyAppListType.
 * 
 * &lt;p&gt;The following schema fragment specifies the expected content contained within this class.
 * &lt;pre&gt;
 * &amp;lt;simpleType name="PenaltyAppListType"&amp;gt;
 *   &amp;lt;restriction base="{http://www.w3.org/2001/XMLSchema}string"&amp;gt;
 *     &amp;lt;enumeration value="MaximumPenaltyAmount"/&amp;gt;
 *     &amp;lt;enumeration value="MinimumPenaltyAmount"/&amp;gt;
 *     &amp;lt;enumeration value="Other"/&amp;gt;
 *   &amp;lt;/restriction&amp;gt;
 * &amp;lt;/simpleType&amp;gt;
 * &lt;/pre&gt;
 * 
 */
@XmlType(name = "PenaltyAppListType")
@XmlEnum
public enum PenaltyAppListType {

    @XmlEnumValue("MaximumPenaltyAmount")
    MAXIMUM_PENALTY_AMOUNT("MaximumPenaltyAmount"),
    @XmlEnumValue("MinimumPenaltyAmount")
    MINIMUM_PENALTY_AMOUNT("MinimumPenaltyAmount"),
    @XmlEnumValue("Other")
    OTHER("Other");
    private final String value;

    PenaltyAppListType(String v) {
        value = v;
    }

    public String value() {
        return value;
    }

    public static PenaltyAppListType fromValue(String v) {
        for (PenaltyAppListType c: PenaltyAppListType.values()) {
            if (c.value.equals(v)) {
                return c;
            }
        }
        throw new IllegalArgumentException(v);
    }

}
